GET /search.json
openlibrary.org:open-library-api
Summary: Search works
Operation ID: searchWorks
Auth: none
Operation ID: searchWorks
Auth: none
Description
Search for books/works across Open Library's catalog. Supports general queries and field-specific searches.
Parameters (5)
fields
(string, query, optional)
Comma-separated list of fields to return (default returns all)
limit
(integer, query, optional, default: 20)
Number of results per page
Constraints: {'minimum': 1, 'maximum': 100}
page
(integer, query, optional, default: 1)
Page number for pagination
Constraints: {'minimum': 1}
q
(string, query, required)
Search query (can include title, author, ISBN, etc.)
sort
(string, query, optional)
Sort order
Constraints: {'enum': ['relevance', 'editions', 'old', 'new', 'rating', 'readinglog', 'want_to_read', 'currently_reading', 'already_read']}
Examples (5)
| Title | Type | URL | Action |
|---|---|---|---|
| Search books and works | openapi-spec |
https://openlibrary.org/search.json?q=the hobbit&title=the lord of the rings&author=tolkien&fields=key,title,author_name,editions&lang=en |
|
| Search for books | openapi-spec |
https://openlibrary.org/search.json?q=the great gatsby |
|
| Search works | openapi-spec |
https://openlibrary.org/search.json?q=the lord of the rings |
|
| Search works | probe-gate |
https://openlibrary.org/search.json?q=the+lord+of+the+rings&page=1&limit=20 |
|
| Search works | probe-gate |
https://openlibrary.org/search.json?q=the+great+gatsby&page=1&limit=20 |
Probe History
Status Codes
| Time | Status | Latency | Size |
|---|---|---|---|
| 2026-03-23 10:23:44.227320 | 200 | 950ms | |
| 2026-03-23 10:11:20.271120 | 200 | 2230ms | |
| 2026-03-23 09:45:58.023413 | 200 | 1322ms | |
| 2026-03-23 09:40:09.419721 | 200 | 1284ms | |
| 2026-03-23 09:06:40.549100 | 200 | 3306ms |
Response Changes
| When | Old | New |
|---|---|---|
| 2026-03-23 09:40:09.419721 | c2fa3146ae2b |
84c502bd4388 |
| 2026-03-23 09:45:58.023413 | 84c502bd4388 |
e9c60bf56a44 |
| 2026-03-23 10:11:20.271120 | e9c60bf56a44 |
03d8b24615e4 |
| 2026-03-23 10:23:44.227320 | 03d8b24615e4 |
4211f7e724c5 |